Anonymous Login
2019-07-16 03:06 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000591Pending RequestsTaskspublic2014-06-11 18:34
Reporterplurpol 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000591: Task Contacts update
DescriptionWhen trying to update Task Contacts - We noticed a logic -

When selecting contacts from same company via the 'Select a company' drop down menu - or if first selecting the 'View all allowed companies' the system 'adds' to the task contact list.

If selecting contacts to add from a different company (than the already assigned contacts), chosen from the 'Select a company' Drop down menu - the system 'replaces' the original contacts with the newly selected contacts.

This may prove a valuable feature for some users and systems - But I wonder if this is deliberate? It may simply prove useful to have the 'Select a Company' drop down menu renamed to something like 'Replace Contacts with' for clarity.

Steps to reproduce

1.1 Select Task
1.2 Select 'Edit this task'
1.3 Select 'Select Contacts'
1.4 Use Drop Down Menu to Select Company in popup (different company from already selected contacts
1.5 Use Checkboxes to assign users in popup
1.6 Select 'Continue' in popup
1.7 Select Save in Main UI
1.8 View task



TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001420closedcaseydk Adding Contact Requires Reselecting All Contacts 
has duplicate 0001317closedcaseydk Adding a 2nd contact for a task, taken from a different company than the one of the 1st contact, the 1st contact is lost 
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2010-10-04 00:29 plurpol New Issue
2010-10-08 20:57 caseydk Project v2.1 Release (Closed) => v2.2 Release (Closed)
2010-12-15 21:42 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-22 12:12 caseydk Project v2.3 Release (Closed) => v2.4 Release (Closed)
2011-07-24 17:04 caseydk Project v2.4 Release (Closed) => Pending Requests
2014-06-11 18:22 caseydk Relationship added has duplicate 0001420
2014-06-11 18:26 caseydk Relationship added has duplicate 0001317
2014-06-11 18:34 caseydk Category General => Tasks
2014-06-11 18:34 caseydk Product Version v2.1 =>
+Issue History